<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.com.ctop.kuaishou.modules.batch.mapper.KuaiShouAppInfoMapper">
    <insert id="replaceBatch">
        replace into ctop_kuaishou_app_info(
        account_id,
        unit_id,
        app_package_name,
        app_name,
        device_os_type,
        create_time,
        update_time)
        values
        <foreach collection="appInfos" item="appInfo" separator=",">
            (#{appInfo.accountId},
            #{appInfo.unitId},
            #{appInfo.appPackageName},
            #{appInfo.appName},
            #{appInfo.deviceOsType},
            #{appInfo.createTime},
            #{appInfo.updateTime})
        </foreach>
    </insert>
</mapper>
